* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: 0;
}

html {
    font-size: 62.5;
    font-family: Georgia, "Times New Roman", Times, serif;
}

body {
    width: 100%;
    height: 100vh;
    background-color: rgb(133, 28, 133);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.input-error,
.code-error {
    background-color: saddlebrown;
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2rem;
    padding: 1.5rem 2rem;
    text-align: center;
    color: #fff;
    text-transform: uppercase;
    width: 40rem;
    display: none;
}

.show {
    display: block;
}

.container {
    margin-top: 5rem;
    max-width: 80rem;
}

.title {
    text-transform: uppercase;
    text-align: center;
    color: #fff;
    margin-bottom: 2rem;
    word-spacing: 0.5rem;
}

.form {
    width: 100%;
}

.input-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;
}

.input-group label {
    color: #fff;
    margin-bottom: 0.3rem;
    font-size: 1.4rem;
    cursor: pointer;
}

.input-group input {
    height: 2.5rem;
    border: none;
    text-transform: uppercase;
    color: rgb(133, 28, 133);
    font-size: 1.4rem;
    padding-left: 0.5rem;
}

button {
    width: 100%;
    height: 2.5rem;
    border: 0.1rem solid #fff;
    font-size: 1.3rem;
    text-transform: uppercase;
    color: #fff;
    cursor: pointer;
    background-color: transparent;
    transition: all 0.2s ease;
}

button:hover {
    background-color: #fff;
    color: rgb(133, 28, 133);
}

.output {
    width: 30rem;
    font-family: sans-serif;
    margin-top: 2rem;
    font-size: 1.6rem;
    text-align: center;
    line-height: 1.4;
    color: #fff;
    text-transform: capitalize;
    line-height: 1.6;
}

@media screen and (max-width: 500px) {
    html {
        font-size: 58%;
    }
}
